Skip to main content
POST
/
signup
Signup Form
curl --request POST \
  --url https://api.example.com/signup \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --data 'email=<string>' \
  --data 'name=<string>' \
  --data 'password=<string>' \
  --data 'confirm_password=<string>'
"<string>"

Documentation Index

Fetch the complete documentation index at: https://docs.nivara.io/llms.txt

Use this file to discover all available pages before exploring further.

Signup Form

Endpoint for submitting user registration information.

Request Body

FieldTypeRequiredDescription
emailstringYesUser’s email address
namestringYesUser’s full name
passwordstringYesUser’s password
confirm_passwordstringYesPassword confirmation

Responses

StatusDescriptionContent Type
200Successful signuptext/html
422Validation Errorapplication/json

Body

application/x-www-form-urlencoded
email
string
required
name
string
required
password
string
required
confirm_password
string
required

Response

Successful Response

The response is of type string.